Subject: bug#68452: w32-use-native-image-API makes weird behavior

From: Eli Zaretskii <[email-masked]>
Date: Mon, 15 Jan 2024 15:08:31 +0200

> Date: Mon, 15 Jan 2024 15:48:55 +0800
> Cc: [email-masked]
> From: Jinsong Zhao <[email-masked]>
> 
> >> The PNG image is created on the fly by imaxima, a front end for Maxima.
> >> I think it's a normal PNG image file, actually converted from a ps file
> >> by ghostscript. I also tried to use JPEG, it's the same.
> > 
> > Well, we cannot do anything with this bug report unless we have an
> > example of an image to work with.  So please find a way to ask imaxima
> > to save the image on a file, and then send it.
> 
> I could provide the PNG files, please see the attachments.
> 
> File "1" and "2" are PNG files that were displayed in Emacs.
> 
> File "11.png" and "33.png" are the screenshots with 
> w32-use-native-image-API set to nil after the first and second input.
> 
> File "22.png" and "44.png" are the screenshots with 
> w32-use-native-image-API set to non-nil after the first and second input.
> 
> I don't know if I am clear.

Thanks.  I have no problems displaying the 2 PNG files with
w32-use-native-image-API set to a non-nil value.  So I don't know why
this doesn't work for you.  Are you able to display the files you sent
in your Emacs with w32-use-native-image-API set to its default non-nil
value?